﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace B20UVLog.Models
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("plc_item")]
    public partial class PlcItemModel
    {
           public PlcItemModel(){


           }
           /// <summary>
           /// Desc:主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int Id {get;set;}

           /// <summary>
           /// Desc:PLC Item类型。
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string PlcItemType {get;set;}

           /// <summary>
           /// Desc:PLC Item编码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string PlcItemCode {get;set;}

            /// <summary>
            /// PLC地址
            /// </summary>
            public string PlcAddr { get; set; }
        /// <summary>
        /// Desc:PLC Item描述
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Description {get;set;}

           /// <summary>
           /// Desc:PLC Item数据类型。0：int；1：ascii；2：bin
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int PlcItemFormat {get;set;}

           /// <summary>
           /// Desc:Word字偏移量
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int WordSubOffset {get;set;}

           /// <summary>
           /// Desc:Word字长
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int WordSize {get;set;}

           /// <summary>
           /// Desc:当前Item是否为全字。0：非全字；1：全字；
           /// Default:1
           /// Nullable:False
           /// </summary>           
           public int IsFullWord {get;set;}

           /// <summary>
           /// Desc:二进制偏移量 当前Item是非全字时，才生效。 
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int BinSubOffset {get;set;}

           /// <summary>
           /// Desc:二进制长度
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int BinSize {get;set;}

            [SugarColumn(IsIgnore = true)]
            public object Value { get; set; }

    }
}
